Page MenuHomeVyOS Platform

Update Cloud-init version and actualize our changes to it
Needs testing, Requires assessmentPublicFEATURE REQUEST

Description

Currently, we are using Cloud-init 18.5 with some portion of our home-grow changes for modules. To provide better compatibility with all modern changes in environments there is a sense to update Cloud-init itself to some more modern version.
Also, after the changes from T1987 / https://github.com/vyos/vyos-1x/pull/218 it is possible to drop changes for Datasource modules, which forces calling dhclient and use a native Cloud-init way instead.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Package upgrade

Event Timeline

zsdc changed the task status from Open to In progress.Mar 10 2020, 10:12 AM
zsdc claimed this task.
zsdc created this task.
zsdc moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
zsdc changed the task status from In progress to Needs testing.Mar 12 2020, 8:13 PM
erkin set Issue type to Package upgrade.Aug 31 2021, 5:21 PM